Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Mathgl

  1. #1
    Join Date
    Jan 2014
    Posts
    28

    Default Mathgl

    I need to install mathgl to use part of another program. When I try to install the mathgl-devel files in the repository, I keep getting the message: nothing provides libmgl-qt5-7_2_0

    I need these development files working, so does anybody know where I can get the libmgl-qt5-7_2_0 file in any OpenSUSE repository (preferably) or elsewhere?


    In short, I would like to get mathgl up and running so that I can view persistence graphs with pdview.

  2. #2
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,454

  3. #3

    Default Re: Mathgl

    Quote Originally Posted by BMor View Post
    I need to install mathgl to use part of another program. When I try to install the mathgl-devel files in the repository, I keep getting the message: nothing provides libmgl-qt5-7_2_0

    I need these development files working, so does anybody know where I can get the libmgl-qt5-7_2_0 file in any OpenSUSE repository (preferably) or elsewhere?


    In short, I would like to get mathgl up and running so that I can view persistence graphs with pdview.
    And where do you try to install mathgl-devel from?
    Sounds like Factory if it needs libmgl-qt5...

    If you would just install the one included in openSUSE (with YaST or zypper), all dependencies should be found of course.
    Code:
    # zypper se -s mathgl
    Loading repository data...
    Reading installed packages...
    
    S | Name                | Type    | Version       | Arch   | Repository        
    --+---------------------+---------+---------------+--------+-------------------
      | mathgl-cgi          | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | mathgl-cgi          | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | mathgl-devel        | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | mathgl-devel        | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | mathgl-devel-static | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | mathgl-devel-static | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | mathgl-doc          | package | 2.1.3.1-3.2.4 | noarch | openSUSE-13.1-1.10
      | mathgl-doc-ru       | package | 2.1.3.1-3.2.4 | noarch | openSUSE-13.1-1.10
      | mathgl-examples     | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | mathgl-examples     | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | mathgl-fonts        | package | 2.1.3.1-3.2.4 | noarch | openSUSE-13.1-1.10
      | mathgl-tools        | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | mathgl-tools        | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | octave-mathgl       | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | octave-mathgl       | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | python-mathgl       | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | python-mathgl       | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
    # zypper se -s libmgl
    Loading repository data...
    Reading installed packages...
    
    S | Name             | Type    | Version       | Arch   | Repository        
    --+------------------+---------+---------------+--------+-------------------
      | libmgl-fltk7_0_0 | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | libmgl-fltk7_0_0 | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | libmgl-glut7_0_0 | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | libmgl-glut7_0_0 | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | libmgl-qt7_0_0   | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | libmgl-qt7_0_0   | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | libmgl-wnd7_0_0  | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | libmgl-wnd7_0_0  | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | libmgl-wx7_0_0   | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | libmgl-wx7_0_0   | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
      | libmgl7_0_0      | package | 2.1.3.1-3.2.4 | x86_64 | openSUSE-13.1-1.10
      | libmgl7_0_0      | package | 2.1.3.1-3.2.4 | i586   | openSUSE-13.1-1.10
    # zypper info --requires mathgl-devel
    Loading repository data...
    Reading installed packages...
    
    Information for package mathgl-devel:
    -------------------------------------
    Repository: openSUSE-13.1-1.10
    Name: mathgl-devel
    Version: 2.1.3.1-3.2.4
    Arch: x86_64
    Vendor: openSUSE
    Installed: No
    Status: not installed
    Installed Size: 437.3 KiB
    Summary: Libraries and header files for mathgl library
    Description: 
    Mathgl is a cross-platform library for making high-quality scientific
    graphics. It provides fast data plotting and handling of large data
    arrays, as well as  window and console modes and for easy embedding
    into other programs. Mathgl integrates into fltk, qt and
    opengl applications.
    This package contains libraries and header files for developing
    applications that use mathgl.
    Requires:
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rpmlib(PayloadIsLzma) <= 4.4.6-1
    libmgl7_0_0 == 2.1.3.1
    libmgl-fltk7_0_0 == 2.1.3.1
    libmgl-glut7_0_0 == 2.1.3.1
    libmgl-qt7_0_0 == 2.1.3.1
    libmgl-wnd7_0_0 == 2.1.3.1
    libmgl-wx7_0_0 == 2.1.3.1
    It would also help if you stated which openSUSE version you are using.
    Last edited by wolfi323; 16-Mar-2014 at 15:48.

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Mathgl

    On 2014-03-16 22:36, BMor wrote:

    > I need these development files working, so does anybody know where I can
    > get the *libmgl-qt5-7_2_0 *file in any OpenSUSE repository (preferably)
    > or elsewhere?


    Use the search page:

    > http://software.opensuse.org/search?...upported=false


    I see -qt4 and -qt7

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  5. #5
    Join Date
    Jan 2014
    Posts
    28

    Default Re: Mathgl

    Sorry, my goof. I should have included this is a x64 system running OpenSUSE 13.1.

  6. #6
    Join Date
    Jan 2014
    Posts
    28

    Default Re: Mathgl

    Ok, the pkgs.org suggestion works for the development files, so thanks. Unfortunately, I am not out of the woods yet!

    I am actually trying to compile a program called DiSPerSE (http://www2.iap.fr/users/sousbie/web...indexd41d.html) on my computer. The only application that still is missing is mathgl, and I installed every single mathgl program in the repository. I need this program installed to be able to see the persistence diagrams once they are calculated.

    Would anyone have suggestions on why mathgl still seems like it is not detected?

  7. #7
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,769

    Default Re: Mathgl

    Does it require the -devel package maybe??

  8. #8
    Join Date
    Jan 2014
    Posts
    28

    Default Re: Mathgl

    I installed the mathgl-devel files, yet it comes up as mathgl is not installed. Originally I could not install the mathgl-devel files because of a missing package, but that problem was taken care of in the first response to this question.

  9. #9

    Default Re: Mathgl

    Quote Originally Posted by BMor View Post
    Sorry, my goof. I should have included this is a x64 system running OpenSUSE 13.1.
    OK, but you still didn't answer where you tried to install mathgl-devel from.

    Quote Originally Posted by BMor View Post
    Ok, the pkgs.org suggestion works for the development files, so thanks. Unfortunately, I am not out of the woods yet!
    As I said, this apparently is for Factory, so it probably won't work at all on openSUSE 13.1.
    Why don't you just try the mathgl-devel that's included in 13.1, and not install a (probably incompatible) version from a random place.

    I am actually trying to compile a program called DiSPerSE (http://www2.iap.fr/users/sousbie/web...indexd41d.html) on my computer. The only application that still is missing is mathgl, and I installed every single mathgl program in the repository. I need this program installed to be able to see the persistence diagrams once they are calculated.

    Would anyone have suggestions on why mathgl still seems like it is not detected?
    See above.
    Other than that, maybe the cmake output provides a clue?
    Or does it just say that mathgl is not found?
    Maybe you would have to specify the path to MathGL?

    By a quick look at the CMakeLists.txt file, it seems to require MathGL with Qt4 support. But what you installed now is one with Qt5 support only.
    So, again, try with the mathgl-devel included in openSUSE 13.1.

  10. #10

    Default Re: Mathgl

    OK, I tried to compile disperse myself now.
    The problem is that disperse requires the old MathGL1, whereas only MathGL2 is available for openSUSE AFAICS.

    So I guess you would have to download and compile MathGL1 first.
    http://sourceforge.net/projects/mathgl/files/mathgl/

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •